LibreOffice LibreOffice 6.1 SDK API Reference

Variables
com::sun::star::ucb::ContentInfoAttribute Constant Group Referencepublished

These are the possible values for ContentInfo::Attributes. More...

## Variables
const short | NONE = 0
| No extra attributes. More...
const short | INSERT_WITH_INPUTSTREAM = 1
| Supply an input stream with the InsertCommandArgument, when committing the new content by executing the command "insert" at it. More...
const short | KIND_DOCUMENT = 2
| The new content is of kind document. More...
const short | KIND_FOLDER = 4
| The new content is of kind folder. More...
const short | KIND_LINK = 8
| The new content is of kind link. More...

## Detailed Description

These are the possible values for ContentInfo::Attributes.

## Variable Documentation

## ◆ INSERT_WITH_INPUTSTREAM

const short INSERT_WITH_INPUTSTREAM = 1

Supply an input stream with the InsertCommandArgument, when committing the new content by executing the command "insert" at it.

## ◆ KIND_DOCUMENT

const short KIND_DOCUMENT = 2

The new content is of kind document.

It's value for the property "IsDocument" will be true.

## ◆ KIND_FOLDER

const short KIND_FOLDER = 4

The new content is of kind folder.

It's value for the property "IsFolder" will be true.

## ◆ KIND_LINK

const short KIND_LINK = 8

The new content is of kind link.

It will support the property "TargetURL" ( which identifies it as a link ).

## ◆ NONE

const short NONE = 0

No extra attributes.